> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出我的已授权应用

> 列出调用方（Key 的所有者）在本团队通过 MCP OAuth 授权、目前仍可访问其记忆的应用：每个应用与记忆边界一项

```
GET /openapi/memorylake/admin/v1/me/authorized-apps
```

列出调用方（Key 的所有者）在本团队通过 MCP OAuth 授权、目前仍可访问其记忆的应用：每个应用与记忆边界一项。只列出您自己的授权，任何人都无法列出其他成员的授权。部署未开启 MCP OAuth 时为空。

> [!NOTE]
>
> **所需权限：** 无——团队任一成员的 Key 都可以调用

```bash cURL theme={null}
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/me/authorized-apps' \
  -H 'Authorization: Bearer sk_xxxxxx'
```

### 响应

**data** `object`

**Authorized Apps 对象**

**items** `array`

按最近使用由近到远排列，未使用的排在最后

**Authorized App 对象**

**app\_name** `string`

应用注册时自报的名称；未提供时为空。未经验证。

**authorized\_at** `integer`

首次授权时间，Unix 秒

**authorized\_before** `boolean`

true 表示 authorized\_at 是能查到的最早记录，首次授权更早

**boundary** `object`

应用可以读写的记忆边界

**Authorized App Name 对象**

**deleted** `boolean`

已被删除。授权仍然存在，但已无法访问任何记忆，可以撤销。

**name** `string`

当前名称；暂时无法查询或已删除时为 null

**id** `string`

这次授权的稳定标识（应用 × 团队 × 记忆边界）

**last\_used\_at** `integer`

应用最近一次续取访问的时间，Unix 秒；0 表示授权后尚未续取

**logo\_uri** `string`

应用注册时提供的图标（仅 https）；没有时为空

**source\_host** `string`

授权完成后跳回的主机名；source\_local 为 true 时为空

**source\_local** `boolean`

应用运行在用户的设备上（跳回环回地址或自定义协议）

**verified** `boolean`

恒为 false：MCP 应用均为自行注册，未经验证

**workspace** `object`

记忆边界所在的工作空间

**Authorized App Name 对象**

**deleted** `boolean`

已被删除。授权仍然存在，但已无法访问任何记忆，可以撤销。

**name** `string`

当前名称；暂时无法查询或已删除时为 null

```json Success (200) theme={null}
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {
    "items": [
      {
        "app_name": "Example app",
        "authorized_at": 1760000000,
        "authorized_before": false,
        "boundary": {
          "deleted": false,
          "name": "Example name"
        },
        "id": "c7ff648cfec4d3959017fa69c2c25bc9",
        "last_used_at": 1760000000,
        "logo_uri": "example",
        "source_host": "example",
        "source_local": false,
        "verified": false,
        "workspace": {
          "deleted": false,
          "name": "Example name"
        }
      }
    ]
  }
}
```

### 错误

出错时返回 `success: false`、`message` 和 `error_code`。全部错误码见[错误码](https://docs.memorylake.cn/features/memorylake/api-reference/errors.md)。

| 状态码 | 含义 |
| - | - |
| `401` | API Key 缺失、无效、已停用或已过期 |
| `403` | 该 Key 无权执行此操作 |
| `429` | 请求过多，请按 `Retry-After` 等待后重试 |
| `500` | 服务端错误 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.